Ha pasado mucho tiempo desde que teníamos un jailbreak estable y funcional disponible para la versión actual de iOS, pero ahora el equipo de unc0ver ha publicado una nueva versión de su herramienta de jailbreak.

La versión unc0ver 5.0.1 puede descargarse a través de su página web. Con ella, deberías poder hacer jailbreak a cualquier iPhone o iPad que tenga instalado iOS 13.3.1, iOS 13.4, iOS 13.4.1 o iOS 13.5.

Los desarrolladores dicen que han intentado hacer que el jailbreak sea lo menos invasivo posible. También aseguran que todas las funciones estándar del iPhone, como Apple Pay, iCloud y todos los servicios asociados, así como el Apple Store deberían funcionar como siempre.

El jailbreak actual no compromete las medidas de seguridad de Apple, pero da acceso a los datos del kernel, algo que no es posible con el iOS normal. Además, la autonomía de la batería tampoco debería cambiar demasiado.

La versión unc0ver 5.0.1 puede hacer jailbreak a la última versión autorizada de iOS (es decir, iOS 13.5). No obstante, el hecho de que el jailbreak esté atado significa que solo puede instalarse cuando está conectado a un ordenador. Así, si el usuario restablece el iPhone, el jailbreak desaparecerá hasta que se instale de nuevo.

Aparentemente, el hacker Pwn20wnd (miembro de unc0ver) encontró una vulnerabilidad del kernel que hizo posible el jailbreak. Una grieta en el kernel de un iPhone no acostumbra a poder cerrarse con una actualización de software, lo que significa que el iPhone 11 actual podría ser susceptible a futuros jailbreaks.

Pwn20wnd lo ha descrito como un “gran hito en la historia del jailbreaking”.

Recientemente, la comunidad de jailbreakers descubrió una grieta en los chips anteriores al A11 (incluido), lo que significa que los iPhones desde el iPhone 5S al iPhone X serán siempre susceptibles a los jailbreak. Si la grieta actual para la versión unc0ver 5 puede compararse, a los nuevos iPhones desde el XS en adelante también podría hacérsele jailbreak. Solo los iPhones no anunciados con el nuevo chip A14 no podrán usarse con esta herramienta, hasta que los hackers encuentren una nueva grieta.

Los jailbreaks se hacían necesarios con los iPhones originales ya que no habían apps de desarrolladores externos compatibles con el primer sistema operativo de iPhone y las primeras versiones de iOS también eran limitadas. Pero la versión de iOS actual es suficiente para la mayoría de usuarios y los jailbreaks son más bien para entusiastas.

Artículo original publicado en Macwelt.